	INTEGER FUNCTION STRLEN(STRING)
C
C-Description-----------------------------------------------------------
	IMPLICIT NONE
C
C  Function:
C	Count the number of characters in a string.
C  Usage:
C	PS program
C  Arguments:
C   i	STRING		Character*(*)
C	The string to count
C  Notes:
C   .	This routine was written by Dale Plummer
C
C-Declarations----------------------------------------------------------
C
C
C  Arguments
C
	CHARACTER*(*) STRING
C
C  Locals
C
        INTEGER FULLEN
C
C-Code------------------------------------------------------------------
C
C    Get length of string as passed.
C
	FULLEN=LEN(STRING)
C
C    Loop backwards through the string until the first non blank
C    character is found.
C
	DO 10 STRLEN=FULLEN,1,-1
	    IF (STRING(STRLEN:STRLEN).GT.' ') RETURN
10	CONTINUE
C
C    If we fall out of the loop then the string is completely blank.
C
	STRLEN=0
C
C    Finished.
C
	RETURN
	END
